Weitere Informationen und den Download findest du auf der offiziellen Anlaufstelle de.wordpress.org
Ergebnis 1 bis 2 von 2
  1. #1
    PostRank: 0
    Registriert seit
    30.08.2017
    Beiträge
    13

    Fehlermeldung in Wordpress nach Serverumzug

    Guten Tag,

    nachdem ich Wordpress umgezogen habe, habe ich ein neues Problem.

    Wenn ich Search & Replace Tool installiere und aktiviere kommt oben folgende Fehlermeldung:

    Warning: Declaration of TGM_Bulk_Installer_Skin::before() should be compatible with Bulk_Upgrader_Skin::before($title = '') in /wordpress/wp-content/themes/theme46/includes/class-tgm-plugin-activation.php on line 1893

    folgendes steht in dieser Datei in Zeile 1893 :

    Code:
     class TGM_Bulk_Installer_Skin extends Bulk_Upgrader_Skin {
    
                /**
                  * Holds plugin info for each individual plugin installation.
                  *
                  * @since 2.2.0
                  *
                  * @var array
                  */
                public $plugin_info = array();
    
                /**
                  * Holds names of plugins that are undergoing bulk installations.
                  *
                  * @since 2.2.0
                  *
                  * @var array
                  */
                public $plugin_names = array();
    
                /**
                  * Integer to use for iteration through each plugin installation.
                  *
                  * @since 2.2.0
                  *
                  * @var integer
                  */
                public $i = 0;
    
                /**
                  * Constructor. Parses default args with new ones and extracts them for use.
                  *
                  * @since 2.2.0
                  *
                  * @param array $args Arguments to pass for use within the class
                  */
                public function __construct( $args = array() ) {
    
                    /** Parse default and new args */
                    $defaults = array( 'url' => '', 'nonce' => '', 'names' => array() );
                    $args = wp_parse_args( $args, $defaults );
    
                    /** Set plugin names to $this->plugin_names property */
                    $this->plugin_names = $args['names'];
    
                    /** Extract the new args */
                    parent::__construct( $args );
    
                }
    Hat vielleicht jemand einen tipp wie ich das problem lösen könnte ?
    Muss dazu sagen, dass bei dem Theme auch steht Designed for Wordpress 3.x. Eventuell könnte es auch etwas damit zu tun haben ?


    Vorab schonmal danke für die hilfe


  2. #2
    PostRank: 3
    Registriert seit
    04.01.2017
    Beiträge
    147
    Hallo Jonas

    Ja die Klassemethode von TGM_Bulk_Installer_Skin::before()

    stimmt nicht mit der anderen überein. Diese müsste gleich sein wie bei Bulk_Upgrader_Skin.

Stichworte

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •